/******************************************************************************
 * centralwidget.cpp - A stacked widget to display the various explorers
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2018 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef CENTRALWIDGET_H
#define CENTRALWIDGET_H

#include <QStackedWidget>

class MainWindow;
class MapWidget;
class NBTFile;
class RegionWidget;

class CentralWidget : public QStackedWidget
{
	Q_OBJECT
public:
	explicit CentralWidget(MainWindow* parent);

public slots:
	void	explorerTypeChanged(int newExplorerType);
	void	fileLoaded(NBTFile* file);


private:
	MainWindow*		m_mainWindow;
	RegionWidget*	m_regionWidget;
	MapWidget*		m_mapWidget;
	int				m_explorerType;

	friend class MainWindow;
};

#endif // CENTRALWIDGET_H
