/******************************************************************************
 * helpman.h - I need somebody
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2019 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef HELPMAN_H
#define HELPMAN_H

#include <QObject>
class MainWindow;

class HelpMan : public QObject
{
	Q_OBJECT
public:
	HelpMan(MainWindow* parent);
	const QString& getHelpDirectory();
	void			setHelpDirectory(const QString& dir);

public slots:
	void	onAboutDialog();
	void	onHelp();

private:
	QString		getVersionString();

	MainWindow*	m_mainWindow;
	QString		m_helpDirectory;
};

inline const QString& HelpMan::getHelpDirectory() { return(m_helpDirectory); }
inline void HelpMan::setHelpDirectory(const QString& dir) { this->m_helpDirectory = dir; }

#endif // HELPMAN_H
