/******************************************************************************
 * maintoolbar.h - Main Toolbar
 *
 * yamce - Yet Another Minecraft Editor
 * Copyright(c) 2018 - Dick Balaska, and BuckoSoft.
 *
 * yamce is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * yamce is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/
#ifndef MAINTOOLBAR_H
#define MAINTOOLBAR_H

#include <QToolBar>

class MainWindow;
class QSpinBox;

class MainToolbar : public QToolBar
{
	Q_OBJECT

public:
	explicit MainToolbar(int iconSize, MainWindow* parent);

	void	setZoomValue(double zoom);
	void	resetWidgets();

signals:
	/// nominal 100% = 1.0
	void	zoomValueChanged(double zoom);
private slots:
	void	onZoomValueChanged(int value);

private:
	void		setupMenu(const QString& sizeString);

	QAction*	m_openAction;
	QAction*	m_saveAction;
	QAction*	m_undoAction;
	QAction*	m_redoAction;
	QAction*	m_prefsAction;
	QAction*	m_syncAction;

	MainWindow*	m_mainWindow;
	//QSlider*	m_zoomSlider;
	QSpinBox*	m_zoomSpinBox;
};

#endif // MAINTOOLBAR_H
